GameColor = {
	PlayerColors = {
		PLAYER_1	= color("#72DB53"),
		PLAYER_2	= color("#F1803A"),
	},
	PlayerDarkColors = {
		PLAYER_1	= color("#72DB53"),
		PLAYER_2	= color("#F1803A"),
	},
	Difficulty = {
		--[[ These are for 'Custom' Difficulty Ranks. It can be very  useful
		in some cases, especially to apply new colors for stuff you
		couldn't before. (huh? -aj) ]]
		Beginner	= color("#A37AD3"),			-- Violet
		Easy		= color("#ABDA3D"),			-- Green
		Medium		= color("#5591B7"),			-- Blue
		Hard		= color("#FBB253"),			-- Yellow
		Challenge	= color("#E84646"),			-- Red
		Edit		= color("#AAAAAA"),	-- gray
		Couple		= color("#ed0972"),			-- hot pink
		Routine		= color("#ff9a00"),			-- orange
		--[[ These are for courses, so let's slap them here in case someone
		wanted to use Difficulty in Course and Step regions. ]]
		Difficulty_Beginner	= color("#A37AD3"),		-- purple
		Difficulty_Easy		= color("#ABDA3D"),		-- green
		Difficulty_Medium	= color("#FBB253"),		-- yellow
		Difficulty_Hard		= color("#E3C66C"),		-- red
		Difficulty_Challenge	= color("#E84646"),	-- light blue
		Difficulty_Edit 	= color("#AAAAAA"),		-- gray
		Difficulty_Couple	= color("#ed0972"),				-- hot pink
		Difficulty_Routine	= color("#ff9a00")				-- orange
	},
	Stage = {
		Stage_1st	= color("#82B2CC"),
		Stage_2nd	= color("#82B2CC"),
		Stage_3rd	= color("#82B2CC"),
		Stage_4th	= color("#82B2CC"),
		Stage_5th	= color("#82B2CC"),
		Stage_6th	= color("#82B2CC"),
		Stage_Next	= color("#82B2CC"),
		Stage_Final	= color("#FF674C"),
		Stage_Extra1	= color("#FF3300"),
		Stage_Extra2	= color("#66FFFF"),
		Stage_Nonstop	= color("#FFFFFF"),
		Stage_Oni	= color("#FFFFFF"),
		Stage_Endless	= color("#FFFFFF"),
		Stage_Event	= color("#FFFFFF"),
		Stage_Demo	= color("#FFFFFF")
	},
	Judgment = {
		JudgmentLine_W1		= color("#FDEDDB"),
		JudgmentLine_W2		= color("#FECF41"),
		JudgmentLine_W3		= color("#00ff78"),
		JudgmentLine_W4		= color("#34bfff"),
		JudgmentLine_W5		= color("#e44dff"),
		JudgmentLine_Held	= color("#FF9264"),
		JudgmentLine_Miss	= color("#ff3c3c"),
		JudgmentLine_MaxCombo	= color("#ffc600"),
	},
};

GameColor.Difficulty["Crazy"] = GameColor.Difficulty["Hard"];
GameColor.Difficulty["Freestyle"] = GameColor.Difficulty["Easy"];
GameColor.Difficulty["Nightmare"] = GameColor.Difficulty["Challenge"];
GameColor.Difficulty["HalfDouble"] = GameColor.Difficulty["Medium"];